################ Simulated example - constant probability of success
prob = 0.1;  # true Value
# training sample 
n = 100;     #
y = rbinom(n, 1, prob)
y
table(y)
# 
p = seq(0.001,0.999,0.001);
loglik = sum(y) * log(p) + (n-sum(y)) * log(1-p);
par(mfrow=c(1,2))
plot(p, loglik, type = 'l', col = "red", main = "log likelihood")
plot(p, exp(loglik), type = 'l', col = "blue", main = "Likelihood")
p[loglik==max(loglik)] # maximum likelihood estimate
#########################################################################################
# Likelihood function for univariate logistic model
floglik <- function(beta_0, beta_1, x, y)
{
  dloglik = 0;
  N = length(y)
  for (i in 1:N)
  {
    u_i = beta_0 + beta_1 * x[i];
    p_i = exp(u_i)/(1+exp(u_i));
    dloglik = dloglik + y[i]*log(p_i) + (1-y[i])*log(1-p_i);
  }
  return(dloglik)
}
##########################################################################################  
  
  
  
challenger = read.table("challenger.dat",head=T)
attach(challenger)
Temperature;
Damage = as.numeric(NFailed > 0)

floglik(0, .1, Temperature, Damage)
floglik(0, -.1, Temperature, Damage)
floglik(-1, -.1, Temperature, Damage)
floglik(1, -.1, Temperature, Damage)
floglik(15.3, -.24, Temperature, Damage)


 